<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Plan_Wow.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">plans</a> &gt; <span class="el_source">Plan_Wow.java</span></div><h1>Plan_Wow.java</h1><pre class="source lang-java linenums">package plans;

import java.io.Serializable;
import java.util.ArrayList;

public class Plan_Wow implements IPlan,Serializable{
	static final long serialVersionUID = -2555170365942325277L;
	private static final double NORMAL_PRICE = 0.99;
<span class="fc" id="L9">	private ArrayList&lt;Integer&gt; listfriends= new ArrayList&lt;Integer&gt;(4);</span>
<span class="fc" id="L10">	public Plan_Wow(ArrayList&lt;Integer&gt; listfriends) {</span>
<span class="fc" id="L11">		this.listfriends=listfriends;</span>
<span class="fc" id="L12">	}</span>
	
	@Override
	public double calculateCost(String hour, String duration, int targetTelephone) {
<span class="fc" id="L16">		double cost = 0;</span>
<span class="fc bfc" id="L17" title="All 2 branches covered.">		if (!listfriends.contains(targetTelephone)) {</span>
<span class="fc" id="L18">			cost = betweenTime.convertHourToSeconds(duration) * (NORMAL_PRICE/60);</span>
		}
<span class="fc" id="L20">		cost = Math.round(cost * 100.0) / 100.0;</span>
<span class="fc" id="L21">		return cost;</span>
	}
	@Override
	public String getPlanType() {
<span class="fc" id="L25">		return &quot;PLAN_WOW&quot;;</span>
	}

}
</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>